
RSpec.describe "EitilCore Hash#auto_dig" do

  it "should recursively find the value for the given hash key" do
    hash   = {a: 1, b: {c: 2, d: {e: 3}}}
    result = hash.auto_dig :e
    expect(result).to eq 3
  end


  it "should return nil if the given hash key is not present" do
    hash   = {a: 1, b: {c: 2, d: {e: 3}}}
    result = hash.auto_dig :f
    expect(result).to be_nil
  end
  
end