
RSpec.describe "EitilCore Hash#transform_string_values" do

  it "should transforms all strings in infinite recursion" do
    hash     = {a: "hey", b: {c: "hi", d: ["ho"]}}
    expected = {a: "HEY", b: {c: "HI", d: ["HO"]}}
    result   = hash.transform_string_values { |str| str.upcase }

    expect(result).to eq expected
  end

end


RSpec.describe "EitilCore Hash#transform_string_values!" do

  it "should transforms all strings in infinite recursion" do
    hash     = {a: "hey", b: {c: "hi", d: ["ho"]}}
    expected = {a: "HEY", b: {c: "HI", d: ["HO"]}}

    hash.transform_string_values! { |str| str.upcase }
    expect(hash).to eq expected
  end
  
end