
RSpec.describe "EitilWrapper::Callbacks" do

  let(:callbacks) { User.instance_methods(false) }

  context "for columns of datatype: boolean" do

    it "should create the callback .{column_name}_became_true" do
      expect(callbacks).to include(:confirmed_became_true)
    end

    it "should create the callback .{column_name}_becomes_true" do
      expect(callbacks).to include(:confirmed_becomes_true)
    end

    it "should create the callback .{column_name}_to_true (works for both become and became)" do
      expect(callbacks).to include(:confirmed_to_true)
    end

    it "should create the callback .{column_name}_became_false" do
      expect(callbacks).to include(:confirmed_became_false)
    end

    it "should create the callback .{column_name}_becomes_false" do
      expect(callbacks).to include(:confirmed_becomes_false)
    end

    it "should create the callback .{column_name}_to_false (works for both become and became)" do
      expect(callbacks).to include(:confirmed_to_false)
    end

  end
  
end
