class UserDecorator < ApplicationDecorator

  def first_and_last_name(user)
    user.slice(:first_name, :last_name)
  end

  def app(user)
    user.slice(:phone, :email)
  end

  def web(user)
    user.slice(:age, :wage)
  end

  def base(user)
    user.as_json
  end

end