class User < ApplicationRecord

  has_one :address

  # ---
  # below are methods, used for testing EitilWrapper::Jobs

  def self.this_is_a_singleton_method(positional_value = nil, keyword_value: nil)
    "this is a singleton method"
    return positional_value if positional_value
    return keyword_value    if keyword_value
    return nil
  end

  new_job :this_is_a_singleton_method
  new_job_now :this_is_a_singleton_method

  def this_is_an_instance_method(positional_value = nil, keyword_value: nil)
    "this is an instance method"
    return positional_value if positional_value
    return keyword_value    if keyword_value
    return nil
  end

  new_job :this_is_an_instance_method
  new_job_now :this_is_an_instance_method

  # ---

end
