
RSpec.describe "EitilCore Array#map_strings" do

  it "should transforms all strings in infinite recursion" do

    array  = ["hey", ["hi", {a: "ho", b: {d: "he"}}]]
    result = array.map_strings { |str| str.upcase }

    expect(result).to eq ["HEY", ["HI", {a: "HO", b: {d: "HE"}}]]

  end
end

RSpec.describe "EitilCore Array#map_strings!" do

  it "should transforms all strings in infinite recursion" do

    array  = ["hey", ["hi", {a: "ho", b: {d: "he"}}]]
    array.map_strings! { |str| str.upcase }

    expect(array).to eq ["HEY", ["HI", {a: "HO", b: {d: "HE"}}]]

  end
end