
RSpec.describe "EitilCore Float#safe_to_i" do

  it "should convert a float to an integer, if the float is rounded (e.g. 7.0)" do

    float  = 7.0
    result = float.safe_to_i

    expect(result).to eq 7
    expect(result).to be_a Integer

  end

    it "should not convert a float to an integer, if the float is not rounded (e.g. 7.1)" do

    float  = 7.1
    result = float.safe_to_i

    expect(result).to eq 7.1
    expect(result).to be_a Float

  end

end